Bug 435440 - pa not started in a KDE session
pa not started in a KDE session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 06:25 EST by ady
Modified: 2008-11-01 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-01 17:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failure (78.09 KB, image/jpeg)
2008-03-01 06:12 EST, ady
no flags Details
failure1 (101.32 KB, image/jpeg)
2008-03-01 06:13 EST, ady
no flags Details
alsa control (119.91 KB, image/jpeg)
2008-03-03 21:50 EST, ady
no flags Details

  None (edit)
Description ady 2008-02-29 06:25:21 EST
Description of problem:the are no sound on my vostro 1400, which using Intel
Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)



Version-Release number of selected component (if applicable):alsa driver 1.0.16


How reproducible:


Steps to Reproduce:
1.install new alsa driver
2.install alsa mixer
3.test on audia config
  
Actual results:no sound at all


Expected results:should have a sound


Additional info:

------- System Config Soundcard Log --------
Fri Feb 29 19:06:10 MYT 2008

------- lspci --------
 
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 02)
 ------- lsmod --------
Module                  Size  Used by
rfcomm                 36825  0 
l2cap                  25537  9 rfcomm
sunrpc                140765  1 
nf_conntrack_ipv4      11717  8 
ipt_REJECT              7617  2 
iptable_filter          6465  1 
ip_tables              14213  1 iptable_filter
nf_conntrack_ftp       10977  0 
nf_conntrack_ipv6      18769  8 
xt_state                6081  16 
nf_conntrack           51977  4
nf_conntrack_ipv4,nf_conntrack_ftp,nf_conntrack_ipv6,xt_state
nfnetlink               8281  3 nf_conntrack_ipv4,nf_conntrack_ipv6,nf_conntrack
xt_tcpudp               6977  20 
ip6t_ipv6header         6209  2 
ip6t_REJECT             8257  2 
ip6table_filter         6337  1 
ip6_tables             15109  2 ip6t_ipv6header,ip6table_filter
x_tables               14277  7
ipt_REJECT,ip_tables,xt_state,xt_tcpudp,ip6t_ipv6header,ip6t_REJECT,ip6_tables
cpufreq_ondemand       10317  1 
acpi_cpufreq           12365  1 
dm_mirror              21697  0 
dm_multipath           18249  0 
dm_mod                 46465  2 dm_mirror,dm_multipath
ipv6                  245989  14 nf_conntrack_ipv6,ip6t_REJECT
snd_usb_audio          76512  0 
snd_usb_lib            17664  1 snd_usb_audio
snd_rawmidi            21280  1 snd_usb_lib
snd_hda_intel         325272  1 
snd_seq_dummy           6916  0 
snd_seq_oss            31744  0 
snd_seq_midi_event      9856  1 snd_seq_oss
snd_seq                45520  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         10252  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            37792  0 
snd_mixer_oss          17280  2 snd_pcm_oss
snd_pcm                63236  3 snd_usb_audio,snd_hda_intel,snd_pcm_oss
snd_timer              20996  2 snd_seq,snd_pcm
arc4                    5953  2 
snd_page_alloc         11400  2 snd_hda_intel,snd_pcm
sr_mod                 17509  0 
ecb                     6721  2 
snd_hwdep              10500  2 snd_usb_audio,snd_hda_intel
cdrom                  33889  1 sr_mod
blkcipher               9029  1 ecb
snd                    46372  13
snd_usb_audio,snd_usb_lib,snd_rawmidi,snd_hda_intel,snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
firewire_ohci          19137  0 
nvidia               7816576  26 
iwl3945               160693  0 
firewire_core          36737  1 firewire_ohci
sdhci                  17997  0 
mmc_core               27333  1 sdhci
crc_itu_t               6081  1 firewire_core
mac80211              125137  1 iwl3945
video                  20177  8 
ata_piix               16837  0 
ac                      8133  0 
output                  6977  1 video
battery                14025  0 
soundcore               9633  2 snd
cfg80211               19785  1 mac80211
hci_usb                16605  2 
button                 10449  0 
tg3                    98885  0 
ata_generic             8901  0 
sg                     31965  0 
usb_storage            73601  0 
bluetooth              49317  7 rfcomm,l2cap,hci_usb
i2c_i801               12112  0 
pcspkr                  6593  0 
i2c_core               21825  2 nvidia,i2c_i801
dcdbas                 10465  0 
joydev                 12545  0 
ahci                   22853  2 
libata                100529  3 ata_piix,ata_generic,ahci
sd_mod                 27329  3 
scsi_mod              120397  5 sr_mod,sg,usb_storage,libata,sd_mod
ext3                  111177  1 
jbd                    52585  1 ext3
mbcache                10305  1 ext3
uhci_hcd               23633  0 
ohci_hcd               21573  0 
ehci_hcd               31949  0 

------- /etc/modprobe.conf --------
alias eth0 tg3
alias wlan0 iwl3945
options snd cards_limit=8
alias snd-card-0 snd-hda-intel
options snd-hda-intel index=0
alias snd-card-7 snd-usb-audio
options snd-usb-audio index=7

------- /etc/asound.conf --------
#Generated by system-config-soundcard
#If you edit this file, don't run system-config-soundcard,
#all your changes here could be lost.
#SWCONF
#DEV 0
defaults.pcm.card 0
defaults.pcm.device 0
defaults.ctl.card 0

------- aplay -l --------
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

------- amixer --------


------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.16.
Compiled on Feb 29 2008 for kernel 2.6.23.15-137.fc8 (SMP).

------- rpm -q alsa-lib --------
alsa-lib-1.0.15-1.fc8

------- rpm -q alsa-utils --------
alsa-utils-1.0.15-1.fc8

------- /proc/asound/modules --------
 0 snd_hda_intel

------- /proc/asound/pcm --------
00-00: STAC92xx Analog : STAC92xx Analog : playback 1 : capture 3

------- /etc/sysconfig/hwconf --------
-
 -
class: AUDIO
bus: PCI
detached: 0
driver: snd-hda-intel
desc: "Intel Corporation 82801H (ICH8 Family) HD Audio Controller"
vendorId: 8086
deviceId: 284b
subVendorId: 1028
subDeviceId: 0227
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1b
pcifn:  0
-
  
- 
------- System Config Soundcard Log --------
Fri Feb 29 19:06:02 MYT 2008

Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo
*** PULSEAUDIO: Unable to connect: Connection refused
amixer: Mixer attach default error: Connection refused
Comment 1 Martin Stransky 2008-02-29 06:37:16 EST
*** PULSEAUDIO: Unable to connect: Connection refused
amixer: Mixer attach default error: Connection refused

A pulseaudio problem?
Comment 2 Lubomir Kundrak 2008-02-29 06:43:06 EST
Are you running Gnome?
Does pulseaudio start manually?
If not, what does it output with "pulseaudio -vvv"?
Comment 3 ady 2008-02-29 21:45:41 EST
(In reply to comment #2)
> Are you running Gnome?
> Does pulseaudio start manually?
> If not, what does it output with "pulseaudio -vvv"?

im running under kde
how do i know either pulseaudio start manually or not?
by the way this is the output of "pulseaudio -vvv" :-
I: core-util.c: Successfully gained nice level -11.
W: main.c: This program is not intended to be run as root (unless --system is
specified).
I: main.c: Page size is 4096 bytes
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-hal-detect.so': success
I: module-hal-detect.c: Trying capability alsa
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device_id=0
sink_name=alsa_output.pci_8086_284b_alsa_playback_0'
D: alsa-util.c: Trying front:0...
I: module-alsa-sink.c: Successfully opened device front:0.
I: module-alsa-sink.c: Successfully enabled mmap() mode.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Master".
I: sink.c: Created sink 0 "alsa_output.pci_8086_284b_alsa_playback_0" with
sample spec "s16le 2ch 44100Hz"
I: source.c: Created source 0
"alsa_output.pci_8086_284b_alsa_playback_0.monitor" with sample spec "s16le 2ch
44100Hz"
I: module-alsa-sink.c: Using 4 fragments of size 4352 bytes.
I: alsa-util.c: ALSA device lacks independant volume controls for each channel,
falling back to software volume control.
D: module-alsa-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29
I: module-alsa-sink.c: Starting playback.
I: module.c: Loaded "module-alsa-sink" (index: #0; argument: "device_id=0
sink_name=alsa_output.pci_8086_284b_alsa_playback_0").
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device_id=0
source_name=alsa_input.pci_8086_284b_alsa_capture_0'
D: alsa-util.c: Trying front:0...
I: module-alsa-source.c: Successfully opened device front:0.
I: module-alsa-source.c: Successfully enabled mmap() mode.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
I: alsa-util.c: Unable to attach to mixer front:0: No such file or directory
I: alsa-util.c: Successfully attached to mixer 'hw:0'
I: alsa-util.c: Using mixer control "Capture".
I: source.c: Created source 1 "alsa_input.pci_8086_284b_alsa_capture_0" with
sample spec "s16le 2ch 44100Hz"
I: module-alsa-source.c: Using 4 fragments of size 4352 bytes.
I: alsa-util.c: All 2 channels can be mapped to mixer channels. Using hardware
volume control.
D: module-alsa-source.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+28
I: module.c: Loaded "module-alsa-source" (index: #1; argument: "device_id=0
source_name=alsa_input.pci_8086_284b_alsa_capture_0").
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_284b_alsa_hw_specific_1
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_284b_alsa_hw_specific_0
D: module-hal-detect.c: Not loaded device
/org/freedesktop/Hal/devices/pci_8086_284b_alsa_control__1
I: module-hal-detect.c: Loaded 2 modules.
I: module.c: Loaded "module-hal-detect" (index: #2; argument: "").
I: module.c: Loaded "module-esound-protocol-unix" (index: #3; argument: "").
I: protocol-native.c: loading cookie from disk.
I: module.c: Loaded "module-native-protocol-unix" (index: #4; argument: "").
I: module-volume-restore.c: starting with empty ruleset.
I: module.c: Loaded "module-volume-restore" (index: #5; argument: "").
D: module-default-device-restore.c: Restored default sink
'alsa_output.pci_8086_284b_alsa_playback_0'.
D: core-subscribe.c: dropped redundant event.
D: module-default-device-restore.c: Restored default source
'alsa_input.pci_8086_284b_alsa_capture_0'.
I: module.c: Loaded "module-default-device-restore" (index: #6; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #7; argument: "").
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_alsa_playback_0
becomes idle.
D: module-suspend-on-idle.c: Source
alsa_output.pci_8086_284b_alsa_playback_0.monitor becomes idle.
D: module-suspend-on-idle.c: Source alsa_input.pci_8086_284b_alsa_capture_0
becomes idle.
I: module.c: Loaded "module-suspend-on-idle" (index: #8; argument: "").
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-x11-publish.so': failure
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9/modules//module-gconf.so': failure
I: main.c: Daemon startup complete.
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus,
path=/org/freedesktop/DBus, member=NameAcquired
I: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_alsa_playback_0 idle
for too long, suspending ...
I: module-alsa-sink.c: Device suspended...
I: module-suspend-on-idle.c: Source alsa_input.pci_8086_284b_alsa_capture_0 idle
for too long, suspending ...
I: module-alsa-source.c: Device suspended...
I: module-suspend-on-idle.c: Source
alsa_output.pci_8086_284b_alsa_playback_0.monitor idle for too long, suspending ...
                                                
Comment 4 Lubomir Kundrak 2008-03-01 05:56:59 EST
Seems like pulseaudio itself works perfectly.

Unfortunately I cannot reassign this as I have no idea what stars pulseaudio in
KDE. Maybe look here for some clue: http://www.pulseaudio.org/wiki/PerfectSetup#KDE

Out of curiosity -- is your installation clean Fedora 8 installation or you
upgraded from some previous version?
Comment 5 ady 2008-03-01 06:12:54 EST
Created attachment 296448 [details]
failure
Comment 6 ady 2008-03-01 06:13:27 EST
Created attachment 296449 [details]
failure1
Comment 7 ady 2008-03-01 06:15:40 EST
(In reply to comment #4)
> Seems like pulseaudio itself works perfectly.
> 
> Unfortunately I cannot reassign this as I have no idea what stars pulseaudio in
> KDE. Maybe look here for some clue:
http://www.pulseaudio.org/wiki/PerfectSetup#KDE
> 
> Out of curiosity -- is your installation clean Fedora 8 installation or you
> upgraded from some previous version?

install it from live cd which is gnome and upgrade to kde, as right now i have
kde and gnome, c the attachment
Comment 8 ady 2008-03-01 06:22:58 EST
(In reply to comment #4)
> Seems like pulseaudio itself works perfectly.
> 
> Unfortunately I cannot reassign this as I have no idea what stars pulseaudio in
> KDE. Maybe look here for some clue:
http://www.pulseaudio.org/wiki/PerfectSetup#KDE
> 
> Out of curiosity -- is your installation clean Fedora 8 installation or you
> upgraded from some previous version?

install it from live cd which is gnome and upgrade to kde, as right now i have
kde and gnome, c the attachment
Comment 9 Lubomir Kundrak 2008-03-01 07:40:55 EST
As you didn't provide any more relevant information on the recommended setup,
and I'm not going to install KDE for this, reassigning this to arts hoping that
some kde guy will care more :)
Comment 10 ady 2008-03-01 09:02:56 EST
(In reply to comment #9)
> As you didn't provide any more relevant information on the recommended setup,
> and I'm not going to install KDE for this, reassigning this to arts hoping that
> some kde guy will care more :)

what kind of info else that u need, sory im new to linux....
Comment 11 Kevin Kofler 2008-03-01 09:08:21 EST
*** PULSEAUDIO: Unable to connect: Connection refused
amixer: Mixer attach default error: Connection refused

sounds like PulseAudio simply isn't running? Do you have 
kde-settings-pulseaudio installed?
Comment 12 Lubomir Kundrak 2008-03-01 09:16:42 EST
ady: I just wanted to know if following the link about "perfect setup" made any
sense to you and if they solved the problem. But that's irrelevant, Kevin
certainly knows better ;)
Comment 13 ady 2008-03-02 18:55:29 EST
(In reply to comment #11)
> *** PULSEAUDIO: Unable to connect: Connection refused
> amixer: Mixer attach default error: Connection refused
> 
> sounds like PulseAudio simply isn't running? Do you have 
> kde-settings-pulseaudio installed?

yeah, im install this version kde-settings-pulseaudio-3.5-34.fc8 btw as right
now im reinstall fc8 but x86_64 and headphone sound work but not speker sound
also as speker volume control.
Comment 14 Lubomir Kundrak 2008-03-03 09:29:49 EST
do you see the controls in when running "alsamixer -c0"?
Are those unmuted?
Comment 15 ady 2008-03-03 21:50:46 EST
Created attachment 296696 [details]
alsa control

fig show alsa control on my laptop
Comment 16 Lubomir Kundrak 2008-03-04 11:55:15 EST
When you play a sound via ALSA, do you hear an output from speakers?

aplay -D hw:0 /usr/share/system-config-soundcard/sound-sample.wav

When running pulseaudio you will probably want to do something like this:

pasuspender -- /usr/bin/aplay -D hw:0 \
     /usr/share/system-config-soundcard/sound-sample.wav
Comment 17 ady 2008-03-04 23:21:57 EST
(In reply to comment #16)
> When you play a sound via ALSA, do you hear an output from speakers?
> 
> aplay -D hw:0 /usr/share/system-config-soundcard/sound-sample.wav
> 
> When running pulseaudio you will probably want to do something like this:
> 
> pasuspender -- /usr/bin/aplay -D hw:0 \
>      /usr/share/system-config-soundcard/sound-sample.wav


when i play with mux(in alsamixer see attact pic) there'll b a sound come out of
speaker but else none

plus when i play with 

pasuspender -- /usr/bin/aplay -D hw:0 \
>      /usr/share/system-config-soundcard/sound-sample.wav

there'll b a sound if im plug headphone else none
Comment 18 Rex Dieter 2008-04-15 10:28:54 EDT
This doesn't (seem to) have anything to do with arts, reassigning -> pulseaudio.
Comment 19 Lubomir Kundrak 2008-04-15 11:16:13 EDT
Heh, so we have this again. Anyways, pulseaudio works fine. We only have to find
out why is it not running at the login time.

Try grep pulseaudio /var/log/messages
Comment 20 Rex Dieter 2008-04-15 11:25:09 EDT
fwiw, kde-settings-pulseaudio handles that, containing nothing more than a
source'd startup script, /etc/kde/env/pulseaudio.sh:
#!/bin/sh

if [ -x /usr/bin/pulseaudio ]; then
  /usr/bin/pulseaudio -D
fi
Comment 21 Lennart Poettering 2008-06-13 19:50:33 EDT
Please check for any PA output to syslog when you login.

There seems to be something wrong with KDE starting PA or so. Or it's just
another iteration of the PID file not being deleted mess.
Comment 22 Rex Dieter 2008-06-13 22:11:12 EDT
ada,
is pulseaudio running? ie, check output of:
$ ps x | grep pulseaudio

if it's not running try:
$ source /etc/kde/env/pulseaudio.sh

Comment 23 Lennart Poettering 2008-11-01 17:42:58 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.